Bug 852917 - Edit Version: Check "Would you like to add a customized list of locales?" causes NullPointerException.
Edit Version: Check "Would you like to add a customized list of locales?" cau...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 22:03 EDT by Ding-Yi Chen
Modified: 2012-11-15 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 18:53:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2012-08-29 22:03:56 EDT
Description of problem:
Check "Would you like to add a customized list of locales?" in Edit version page causes NullPointerException.

Version-Release number of selected component (if applicable):
Zanata version 1.8.0-SNAPSHOT (20120830-0014)

How reproducible:
Always

Steps to Reproduce:
1. Sign in as project maintainer (or admin)
2. Visit a project you maintain
3. Click on any existing Version (or create a new one)
4. Fill in "Version ID"
5. Check the checkbox "Would you like to add a customized list of locales?"
  
Actual results:
An Error Occurred:
java.lang.NullPointerException

Expected results:
Locale selection UI should be displayed without problem.

Additional info:
Comment 1 Michelle Kim 2012-11-12 20:43:43 EST
Hi Runa,

Is this bug still valid in 2.0?
Comment 2 Alex Eng 2012-11-15 18:53:54 EST
Verified that bug does not occurs in version 2.0.

Note You need to log in before you can comment on or make changes to this bug.